// Generated IDL File (by Great Migrations Studio) 
// Created: 12/3/2025 09:32:00 AM
// Source: C:\gmSpec\Forms\LoadFormCmd\src\ScanToolLib.dll
// typelib filename: ScanToolLib.dll
[
    uuid(8ABED115-2D9A-49A3-9A8F-6CB393F19FE7),
    version(1.0),
    helpstring("ScanTool Scanner Library"),
    custom(50867B00-BB69-11D0-A8FF-00A0C9110059, "8964")
]
library ScanToolLib
{
    // TLib : OLE Automation : {00020430-0000-0000-C000-000000000046}
    importlib("stdole2.tlb");

    // Forward declare all types defined in this typelib

    interface _clsScanControl;
    dispinterface __clsScanControl;
    coclass clsScanControl;

    [
        odl,
        uuid(AC7B7444-BC46-4FDF-AA15-C9AEC4A2791F),
        version(1.0),
        hidden,
        dual,
        nonextensible,
        oleautomation
    ]
    interface _clsScanControl : IDispatch {
        [id(0x40030000), propget]
        HRESULT txtFolderFilter([out, retval] BSTR* txtFolderFilter);
        [id(0x40030000), propput]
        HRESULT txtFolderFilter([in] BSTR txtFolderFilter);
        [id(0x40030001), propget]
        HRESULT txtFilFilter([out, retval] BSTR* txtFilFilter);
        [id(0x40030001), propput]
        HRESULT txtFilFilter([in] BSTR txtFilFilter);
        [id(0x40030002), propget]
        HRESULT txtContentFilter([out, retval] BSTR* txtContentFilter);
        [id(0x40030002), propput]
        HRESULT txtContentFilter([in] BSTR txtContentFilter);
        [id(0x40030003), propget]
        HRESULT txtSaveTo([out, retval] BSTR* txtSaveTo);
        [id(0x40030003), propput]
        HRESULT txtSaveTo([in] BSTR txtSaveTo);
        [id(0x40030004), propget]
        HRESULT txtRootPath([out, retval] BSTR* txtRootPath);
        [id(0x40030004), propput]
        HRESULT txtRootPath([in] BSTR txtRootPath);
        [id(0x40030005), propget]
        HRESULT optRpt([out, retval] BSTR* optRpt);
        [id(0x40030005), propput]
        HRESULT optRpt([in] BSTR optRpt);
        [id(0x40030006), propget]
        HRESULT mfoldercnt([out, retval] VARIANT_BOOL* mfoldercnt);
        [id(0x40030006), propput]
        HRESULT mfoldercnt([in] VARIANT_BOOL mfoldercnt);
        [id(0x40030007), propget]
        HRESULT chkNoCase([out, retval] VARIANT_BOOL* chkNoCase);
        [id(0x40030007), propput]
        HRESULT chkNoCase([in] VARIANT_BOOL chkNoCase);
        [id(0x60030000)]
        HRESULT runReport();
        [id(0x60030004)]
        HRESULT setParms();
        [id(0x60030005)]
        HRESULT setFileProcessor();
        [id(0x60030006)]
        HRESULT Show([out, retval] BSTR* retVal);
        [id(0x60030007)]
        HRESULT loadScantoolConfig([in, out] BSTR* filename);
        [id(0x60030008)]
        HRESULT saveScantoolConfig([in, out] BSTR* filename);
    };

    [
        uuid(CCF7F688-F556-43DB-9829-7070AB1B23B2),
        version(1.0)
    ]
    coclass clsScanControl {
        [default] interface _clsScanControl;
        [default, source] dispinterface __clsScanControl;
    };

    [
        uuid(723A981C-D531-4876-AC29-85A2945688BA),
        version(1.0),
        hidden,
        nonextensible
    ]
    dispinterface __clsScanControl {
    properties:
    methods:
        [id(0x00000001)]
        void status([in] BSTR msg);
    };

};